Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] emerge libpcre fails on Sparc32
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
P3SM
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2006
Posts: 93
Location: Gronsveld - The Netherlands

PostPosted: Fri Sep 22, 2006 8:03 pm    Post subject: [Solved] emerge libpcre fails on Sparc32 Reply with quote

While trying to emerge dev-libs/libpcre-6.3 on my SparcStation LX I get the following error message:

Code:
 sparc-unknown-linux-gnu-g++ -c -mcpu=v8 -Os -pipe -fPIC -I. -I. -DSUPPORT_UTF8 -DPOSIX_MALLOC_THRESHOLD=10 ./pcrecpp.cc  -fPIC -DPIC -o .libs/pcrecpp.o
In file included from /usr/lib/gcc/sparc-unknown-linux-gnu/3.4.6/include/g++-v3/string:45,
                 from ./pcrecpp.cc:38:
/usr/lib/gcc/sparc-unknown-linux-gnu/3.4.6/include/g++-v3/sparc-unknown-linux-gnu/bits/c++config.h:35:29: bits/os_defines.h: No such file or directory
make: *** [pcrecpp.o] Error 1

!!! ERROR: dev-libs/libpcre-6.3 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  libpcre-6.3.ebuild, line 38:   Called die

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.


I've tried emerging with:

Code:
MAKEOPTS="-j1" emerge libpcre


I read somewhere on the forum that there was an issue with parallel compiles and libpcre. Unfortunately it gives the same result :cry:

Maybe somebody more at home at interpreting the output of a failing emerge can explain to me what went wrong!
Obviously I'm open (even hoping for :D ) any suggestions you might have on getting this right. After all the package is marked stable for Sparc so it should at least compile... right?

To be complete... my make.conf:

Code:
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# PESM : 05.09.2006 - 17.45h

USE="-X -gtk -gtk2 -gnome -alsa -kde -qt3 -qt4"
CHOST="sparc-unknown-linux-gnu"
CFLAGS="-mcpu=v8 -Os -pipe"
CXXFLAGS="${CFLAGS}"
#ACCEPT_KEYWORDS="~sparc"
PORTAGE_TMPDIR=/var/tmp
PORTDIR=/usr/portage
DISTDIR=${PORTDIR}/distfiles
PKGDIR=${PORTDIR}/packages
FETCHCOMMAND="/usr/bin/wget -t 5 -T 60 --passive-ftp \${URI} -P \${DISTDIR}"
RESUMECOMMAND="/usr/bin/wget -c -t 5 -T 60 --passive-ftp \${URI} -P \${DISTDIR}"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gentoo.inte
rgenia.de http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.
belnet.be/mirror/rsync.gentoo.org/gentoo/"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
PORTAGE_RSYNC_RETRIES="3"
RSYNC_TIMEOUT=180
MAKEOPTS="-j2"
AUTOCLEAN="yes"
PORTAGE_TMPFS="/dev/shm"
FEATURES="nodoc noman"
#CCACHE_SIZE="512M"


My kernel is: sparc-2.4.32-r6

Hope to hear from you guys soon!!
_________________
Smaug: Sun Netra T1 105, UltraSPARC-IIi 440MHz, 512MB, 2*36GB 10kRPM; 2 Sun Netra D130: 6*36GB 10kRPM, swraid 0
Haku: Dual P3 Xeon 500MHz, 512MB; Sun Multipack: 12*18GB 10kRPM, hwraid 5
Falkor: Sun SparcStation LX, 128 MB, 2.1GB


Last edited by P3SM on Sat Oct 07, 2006 6:49 pm; edited 1 time in total
Back to top
View user's profile Send private message
Weeve
Retired Dev
Retired Dev


Joined: 30 Oct 2002
Posts: 641

PostPosted: Mon Sep 25, 2006 11:17 pm    Post subject: Reply with quote

It looks like either /usr/lib/gcc/sparc-unknown-linux-gnu/3.4.6/include/g++-v3/sparc-unknown-linux-gnu/bits/os_defines.h doesn't exist or isn't getting included in your path for some reason.

If the file doesn't exist, try rebuilding gcc as that is where it comes from.
Back to top
View user's profile Send private message
P3SM
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2006
Posts: 93
Location: Gronsveld - The Netherlands

PostPosted: Tue Sep 26, 2006 1:33 pm    Post subject: Reply with quote

I checked and the file wasn't there... sort of.... it was called: os_defines.h0000644.

So I tried renaming it and emerge again. Unfortunately it gives loads of errors then.

I'll try rebuilding gcc as you suggest!

This might take a little while though... as it is only a lowly SparcStation LX :?

I'll report back after that!
_________________
Smaug: Sun Netra T1 105, UltraSPARC-IIi 440MHz, 512MB, 2*36GB 10kRPM; 2 Sun Netra D130: 6*36GB 10kRPM, swraid 0
Haku: Dual P3 Xeon 500MHz, 512MB; Sun Multipack: 12*18GB 10kRPM, hwraid 5
Falkor: Sun SparcStation LX, 128 MB, 2.1GB
Back to top
View user's profile Send private message
Weeve
Retired Dev
Retired Dev


Joined: 30 Oct 2002
Posts: 641

PostPosted: Tue Sep 26, 2006 2:55 pm    Post subject: Reply with quote

Hrm, you seem to be the second person who has mentioned a problem with your files unpacking like that. Can you email me a copy of that file at weeve AT gentoo DOT org? Or what would be better, if you still have a copy of the stage file around and can put it someplace I can download it from, that would be great.
Back to top
View user's profile Send private message
P3SM
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2006
Posts: 93
Location: Gronsveld - The Netherlands

PostPosted: Wed Sep 27, 2006 4:23 pm    Post subject: Reply with quote

Sorry for the bit of delay here! Work you know... :?

Anyway, I've mailed the stuff you requested. I hope its usefull!
_________________
Smaug: Sun Netra T1 105, UltraSPARC-IIi 440MHz, 512MB, 2*36GB 10kRPM; 2 Sun Netra D130: 6*36GB 10kRPM, swraid 0
Haku: Dual P3 Xeon 500MHz, 512MB; Sun Multipack: 12*18GB 10kRPM, hwraid 5
Falkor: Sun SparcStation LX, 128 MB, 2.1GB
Back to top
View user's profile Send private message
P3SM
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2006
Posts: 93
Location: Gronsveld - The Netherlands

PostPosted: Thu Sep 28, 2006 4:07 pm    Post subject: Reply with quote

As suggested in a previous post:

weeve wrote:
If the file doesn't exist, try rebuilding gcc as that is where it comes from.


I did a:

Code:
emerge gcc


Using:

Code:
MAKEOPTS="-j1"


But unfortunately with the following result:

Code:
mv 'libgcc/./tmp-libgcc.map' libgcc/./libgcc.map
./xgcc -B./ -B/usr/sparc-unknown-linux-gnu/bin/ -isystem /usr/sparc-unknown-linux-gnu/include -isystem /usr/sparc-unknown-linux-gnu/sys-include -L/var/tmp/portage/gcc-3.4.6-r1/work/build/gcc/../ld -O2  -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -fPIC -DHAVE_SYSLOG -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -D_LIBC_PROVIDES_SSP_ -fno-stack-protector -shared -nodefaultlibs -Wl,--soname=libgcc_s.so.1 -Wl,--version-script=libgcc/./libgcc.map -o libgcc_s.so.1.tmp   libgcc/./_muldi3.o libgcc/./_negdi2.o libgcc/./_lshrdi3.o libgcc/./_ashldi3.o libgcc/./_ashrdi3.o libgcc/./_cmpdi2.o libgcc/./_ucmpdi2.o libgcc/./_floatdidf.o libgcc/./_floatdisf.o libgcc/./_fixunsdfsi.o libgcc/./_fixunssfsi.o libgcc/./_fixunsdfdi.o libgcc/./_fixdfdi.o libgcc/./_fixunssfdi.o libgcc/./_fixsfdi.o libgcc/./_fixxfdi.o libgcc/./_fixunsxfdi.o libgcc/./_floatdixf.o libgcc/./_fixunsxfsi.o libgcc/./_fixtfdi.o libgcc/./_fixunstfdi.o libgcc/./_floatditf.o libgcc/./_clear_cache.o libgcc/./_enable_execute_stack.o libgcc/./_trampoline.o libgcc/./__main.o libgcc/./_absvsi2.o libgcc/./_absvdi2.o libgcc/./_addvsi3.o libgcc/./_addvdi3.o libgcc/./_subvsi3.o libgcc/./_subvdi3.o libgcc/./_mulvsi3.o libgcc/./_mulvdi3.o libgcc/./_negvsi2.o libgcc/./_negvdi2.o libgcc/./_ctors.o libgcc/./_ffssi2.o libgcc/./_ffsdi2.o libgcc/./_clz.o libgcc/./_clzsi2.o libgcc/./_clzdi2.o libgcc/./_ctzsi2.o libgcc/./_ctzdi2.o libgcc/./_popcount_tab.o libgcc/./_popcountsi2.o libgcc/./_popcountdi2.o libgcc/./_paritysi2.o libgcc/./_paritydi2.o libgcc/./_stack_smash_handler.o libgcc/./_divdi3.o libgcc/./_moddi3.o libgcc/./_udivdi3.o libgcc/./_umoddi3.o libgcc/./_udiv_w_sdiv.o libgcc/./_udivmoddi4.o  libgcc/./unwind-dw2.o libgcc/./unwind-dw2-fde-glibc.o libgcc/./unwind-sjlj.o libgcc/./gthr-gnat.o libgcc/./unwind-c.o -lc && rm -f libgcc_s.so && if [ -f libgcc_s.so.1 ]; then mv -f libgcc_s.so.1 libgcc_s.so.1.backup; else true; fi && mv libgcc_s.so.1.tmp libgcc_s.so.1 && ln -s libgcc_s.so.1 libgcc_s.so
make[3]: Leaving directory `/var/tmp/portage/gcc-3.4.6-r1/work/build/gcc'
make[2]: Leaving directory `/var/tmp/portage/gcc-3.4.6-r1/work/build/gcc'
echo timestamp > stage3_build
echo stage3_build > stage_last

Bootstrap complete - make "quickstrap" to redo last build,
or "cleanstrap" to redo the bootstrap from scratch.
make[1]: Leaving directory `/var/tmp/portage/gcc-3.4.6-r1/work/build/gcc'
Comparing stage2 and stage3 of the compiler
make[1]: Entering directory `/var/tmp/portage/gcc-3.4.6-r1/work/build/gcc'
rm -f .bad_compare
case "gnucompare-lean" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo gnucompare-lean | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
for dir in . cp f; do \
  if [ "`echo $dir/*.o`" != "$dir/*.o" ] ; then \
    for file in $dir/*.o; do \
      case "gnucompare-lean" in \
        slowcompare* ) \
          tail -c +16 ./$file > tmp-foo1; \
          tail -c +16 stage$stage/$file > tmp-foo2 \
            && (cmp tmp-foo1 tmp-foo2 > /dev/null 2>&1 || echo $file differs >> .bad_compare) || true; \
          ;; \
        fastcompare* ) \
          cmp $file stage$stage/$file 16 16 > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
        gnucompare* ) \
          cmp --ignore-initial=16 $file stage$stage/$file > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
      esac ; \
    done; \
  else true; fi; \
done
rm -f tmp-foo*
case "gnucompare-lean" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo gnucompare-lean | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  case "gnucompare-lean" in \
    *-lean ) rm -rf stage$stage ;; \
    *) ;; \
  esac; true; \
fi
Bootstrap comparison failure!
./errors.o differs
make[1]: *** [gnucompare-lean] Error 1
make[1]: Leaving directory `/var/tmp/portage/gcc-3.4.6-r1/work/build/gcc'
make: *** [bootstrap-lean] Error 2

!!! ERROR: sys-devel/gcc-3.4.6-r1 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called toolchain_src_compile
  toolchain.eclass, line 24:   Called gcc_src_compile
  toolchain.eclass, line 1529:   Called gcc_do_make
  toolchain.eclass, line 1403:   Called die

!!! emake failed with bootstrap-lean
!!! If you need support, post the topmost build error, and the call stack if relevant.



Luckily my system was able to tell me this already after about 18 hours! :roll:

Anyway, it seems the compile went well but there was a problem with bootstrap comparison. Any ideas?
_________________
Smaug: Sun Netra T1 105, UltraSPARC-IIi 440MHz, 512MB, 2*36GB 10kRPM; 2 Sun Netra D130: 6*36GB 10kRPM, swraid 0
Haku: Dual P3 Xeon 500MHz, 512MB; Sun Multipack: 12*18GB 10kRPM, hwraid 5
Falkor: Sun SparcStation LX, 128 MB, 2.1GB
Back to top
View user's profile Send private message
P3SM
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2006
Posts: 93
Location: Gronsveld - The Netherlands

PostPosted: Sat Oct 07, 2006 6:49 pm    Post subject: [Solved] emerge libpcre fails on Sparc32 Reply with quote

I tried emerging gcc again as suggested in a previous post and I succeeded this time around :D

I emerged: glibc, binutils, gcc-config, libstdc++-v3 and gcc and that solved my problem. The io_defines is now a regular .h file!

Currently the box is in the middle of:

Code:
emerge -e system && emerge -e system


and I'm assuming the libpcre will be fine after that as well!
_________________
Smaug: Sun Netra T1 105, UltraSPARC-IIi 440MHz, 512MB, 2*36GB 10kRPM; 2 Sun Netra D130: 6*36GB 10kRPM, swraid 0
Haku: Dual P3 Xeon 500MHz, 512MB; Sun Multipack: 12*18GB 10kRPM, hwraid 5
Falkor: Sun SparcStation LX, 128 MB, 2.1GB
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum